UDOO support on YOCTO DORA

Discussion in 'Other OS' started by delba, Nov 20, 2014.

  1. delba

    delba Administrator Staff Member

    Joined:
    May 8, 2013
    Messages:
    1,063
    Likes Received:
    9
    Awesome, thanks lsronga!
     
  2. chrta

    chrta New Member

    Joined:
    Aug 5, 2014
    Messages:
    4
    Likes Received:
    0
    Hi, that is very nice.
    Btw: I am using this and added meta-qt5 to add support for the current qt5 version.
    Is there any plan to make a layer for the current yocto revision? Has anyone tried that? Whould that be possible with the old kernel 3.0.35?
     
  3. modjo

    modjo Active Member

    Joined:
    Sep 29, 2014
    Messages:
    417
    Likes Received:
    127
    chrta, it's possible for you to post some image of udoo under yocto ? Do you use udooquad ? Is it possible to use sata disque and touchscreen under yocto ? Is-it possible for udooTeam to update the image image of yocto (on the site) with the portage of Isronga ?

    and great job Isronga !!!
     
  4. modjo

    modjo Active Member

    Joined:
    Sep 29, 2014
    Messages:
    417
    Likes Received:
    127
    can you said me how many times is needed to compile yocto ? Another thing, if i try try to build the image with qt (bitbake fsl-core-gui) i obtained this error :

    Code:
    Parsing of 1346 .bb files complete (0 cached, 1346 parsed). 1739 targets, 80 skipped, 0 masked, 0 errors.
    ERROR: Nothing PROVIDES 'fsl-core-gui'. Close matches:
      fsl-image-gui
    Do you know what ?

    If i want to compile qt5, i need to integrate the qt5 meta layer : https://github.com/meta-qt5/meta-qt5 in
    Code:
    yocto /sources
    ? After that, i need to add
    Code:
    ${BSPDIR}/sources/meta-qt5 \
    in
    Code:
    yocto/build/conf/bblayers.conf 
    ? Please, let me know if this is ok :roll:
     
  5. modjo

    modjo Active Member

    Joined:
    Sep 29, 2014
    Messages:
    417
    Likes Received:
    127
    Ok, i have build with success the minimal of yocto image (in 4 hours). Now i 'm trying to compile the full image with qt 5 (i downloaded with git into yocto/sources the meta layer for qt5 (https://github.com/meta-qt5/meta-qt5.git). My BBlayers.conf (into yocto/build/conf/ directories) :

    Code:
    LCONF_VERSION = "6"
    
    BBPATH = "${TOPDIR}"
    BSPDIR := "${@os.path.abspath(os.path.dirname(d.getVar('FILE', True)) + '/../..')}"
    
    BBFILES ?= ""
    BBLAYERS = " \
      ${BSPDIR}/sources/poky/meta \
      ${BSPDIR}/sources/poky/meta-yocto \
      \
      ${BSPDIR}/sources/meta-openembedded/meta-oe \
      \
      ${BSPDIR}/sources/meta-fsl-arm \
      ${BSPDIR}/sources/meta-fsl-arm-extra \
      ${BSPDIR}/sources/meta-ronga-udoo \
      ${BSPDIR}/sources/meta-fsl-demos \
      ${BSPDIR}/sources/meta-qt5 \
      
      
    "
    
    my path where is yocto : /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/

    When i try :
    $ bitbake fsl-core-gui

    i obtain this errors :

    Code:
    ERROR: Traceback (most recent call last):
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/cookerdata.py", line 162, in wrapped
        return func(fn, *args)                                                                                                                        
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/cookerdata.py", line 172, in parse_config_file                                                                                                                                        
        return bb.parse.handle(fn, data, include)                                                                                                     
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/parse/__init__.py", line 99, in handle
        return h['handle'](fn, data, include)
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/parse/parse_py/ConfHandler.py", line 147, in handle
        feeder(lineno, s, fn, statements)
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/parse/parse_py/ConfHandler.py", line 184, in feeder
        raise ParseError("unparsed line: '%s'" % s, fn, lineno);
    ParseError: ParseError at /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/build/conf/bblayers.conf:18: unparsed line: 'BBLAYERS = " ${BSPDIR}/sources/poky/meta ${BSPDIR}/sources/poky/meta-yocto ${BSPDIR}/sources/meta-openembedded/meta-oe ${BSPDIR}/sources/meta-fsl-arm ${BSPDIR}/sources/meta-fsl-arm-extra ${BSPDIR}/sources/meta-ronga-udoo ${BSPDIR}/sources/meta-fsl-demos ${BSPDIR}/sources/meta-qt5 '
    
    ERROR: Unable to parse /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/build/conf/bblayers.conf: ParseError at /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/build/conf/bblayers.conf:18: unparsed line: 'BBLAYERS = " ${BSPDIR}/sources/poky/meta ${BSPDIR}/sources/poky/meta-yocto ${BSPDIR}/sources/meta-openembedded/meta-oe ${BSPDIR}/sources/meta-fsl-arm ${BSPDIR}/sources/meta-fsl-arm-extra ${BSPDIR}/sources/meta-ronga-udoo ${BSPDIR}/sources/meta-fsl-demos ${BSPDIR}/sources/meta-qt5 '
    
    
    Do you have an idea to resolve this ?
     
  6. lsronga

    lsronga New Member

    Joined:
    Jul 18, 2013
    Messages:
    14
    Likes Received:
    0
    The correct procedure for QT5 is here. Follow it closely and let me know.
     
  7. modjo

    modjo Active Member

    Joined:
    Sep 29, 2014
    Messages:
    417
    Likes Received:
    127
    Hi Isronga,

    At first thanks for your reply ! I followed this tutorial but i obtained the same error :

    Code:
    ERROR: Traceback (most recent call last):
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/cookerdata.py", line 162, in wrapped
        return func(fn, *args)
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/cookerdata.py", line 172, in parse_config_file
        return bb.parse.handle(fn, data, include)
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/parse/__init__.py", line 99, in handle
        return h['handle'](fn, data, include)
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/parse/parse_py/ConfHandler.py", line 147, in handle
        feeder(lineno, s, fn, statements)
      File "/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/sources/poky/bitbake/lib/bb/parse/parse_py/ConfHandler.py", line 184, in feeder
        raise ParseError("unparsed line: '%s'" % s, fn, lineno);
    ParseError: ParseError at /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/build/conf/bblayers.conf:21: unparsed line: 'BBLAYERS = " ${BSPDIR}/sources/poky/meta ${BSPDIR}/sources/poky/meta-yocto ${BSPDIR}/sources/meta-openembedded/meta-ruby ${BSPDIR}/sources/meta-openembedded/meta-multimedia ${BSPDIR}/sources/meta-fsl-arm ${BSPDIR}/sources/meta-fsl-arm-extra #${BSPDIR}/sources/meta-ronga-udoo ${BSPDIR}/sources/meta-fsl-demos ${BSPDIR}/sources/meta-qt5 '
    
    ERROR: Unable to parse /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/build/conf/bblayers.conf: ParseError at /media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/yocto/fsl-community-bsp/build/conf/bblayers.conf:21: unparsed line: 'BBLAYERS = " ${BSPDIR}/sources/poky/meta ${BSPDIR}/sources/poky/meta-yocto ${BSPDIR}/sources/meta-openembedded/meta-ruby ${BSPDIR}/sources/meta-openembedded/meta-multimedia ${BSPDIR}/sources/meta-fsl-arm ${BSPDIR}/sources/meta-fsl-arm-extra #${BSPDIR}/sources/meta-ronga-udoo ${BSPDIR}/sources/meta-fsl-demos ${BSPDIR}/sources/meta-qt5 '
    
    
    for information, my bblayers.conf :
    Code:
    LCONF_VERSION = "6"
    
    BBPATH = "${TOPDIR}"
    BSPDIR := "${@os.path.abspath(os.path.dirname(d.getVar('FILE', True)) + '/../..')}"
    
    #BSPDIR := "${/media/modjo/39a50e93-4c35-4598-a6b8-9627986411e5/#yocto/fsl-community-bsp/}
    
    BBFILES ?= ""
    BBLAYERS = " \
      ${BSPDIR}/sources/poky/meta \
      ${BSPDIR}/sources/poky/meta-yocto \
      \
      ${BSPDIR}/sources/meta-openembedded/meta-ruby \
      ${BSPDIR}/sources/meta-openembedded/meta-multimedia \
      \
      ${BSPDIR}/sources/meta-fsl-arm \
      ${BSPDIR}/sources/meta-fsl-arm-extra \
      #${BSPDIR}/sources/meta-ronga-udoo \
      ${BSPDIR}/sources/meta-fsl-demos \
      ${BSPDIR}/sources/meta-qt5 \
      
      
    "
    
    and my local.conf :

    Code:
    MACHINE ??= 'udoo-quad'
    DISTRO ?= 'poky'
    PACKAGE_CLASSES ?= "package_rpm"
    EXTRA_IMAGE_FEATURES = "debug-tweaks"
    USER_CLASSES ?= "buildstats image-mklibs image-prelink"
    PATCHRESOLVE = "noop"
    BB_DISKMON_DIRS = "\
        STOPTASKS,${TMPDIR},1G,100K \
        STOPTASKS,${DL_DIR},1G,100K \
        STOPTASKS,${SSTATE_DIR},1G,100K \
        ABORT,${TMPDIR},100M,1K \
        ABORT,${DL_DIR},100M,1K \
        ABORT,${SSTATE_DIR},100M,1K" 
    CONF_VERSION = "1"
    
    BB_NUMBER_THREADS = '2'
    PARALLEL_MAKE = '-j 4'
    
    DL_DIR ?= "${BSPDIR}/downloads/"
    ACCEPT_FSL_EULA = ""
    
    EXTRA_IMAGE_FEATURES = "debug-tweaks ssh-server-openssh "
    
    IMAGE_INSTALL_append = " gcc g++ binutils libgcc libgcc-dev libstdc++ libstdc++-dev libstdc++-staticdev \
    autoconf automake ccache chkconfig glib-networking glibmm \
    packagegroup-core-buildessential pkgconfig  \
    boost cmake zlib glib-2.0 packagegroup-fsl-tools-testapps  \
        ruby \
        cpufrequtils \
        nano \
        gdb \
        gstreamer \
        gst-meta-video \
        gst-fsl-plugin \
        gst-plugins-base-app \
        gst-plugins-base \
        gst-plugins-good \
        gst-plugins-good-rtsp \
        gst-plugins-good-udp \
        gst-plugins-good-rtpmanager \
        gst-plugins-good-rtp \
        gst-plugins-good-video4linux2 \
        openssh-sftp-server \
        packagegroup-fsl-gstreamer \
        packagegroup-fsl-tools-testapps \
        packagegroup-fsl-tools-benchmark \
        imx-vpu \
        imx-test \    	
        qtbase-fonts \
        qtbase-plugins \
        qtbase-tools \
        qtbase-examples \
        qtdeclarative \
        qtdeclarative-plugins \
        qtdeclarative-tools \
        qtdeclarative-examples \
        qtdeclarative-qmlplugins \
        qtmultimedia \
        qtmultimedia-plugins \
        qtmultimedia-examples \
        qtmultimedia-qmlplugins \
        qtsvg \
        qtsvg-plugins \
        qtsensors \
        qtimageformats-plugins \
        qtsystems \
        qtsystems-tools \
        qtsystems-examples \
        qtsystems-qmlplugins \
        qtscript \
        qt3d \
        qt3d-examples \
        qt3d-qmlplugins \
        qt3d-tools \
        qtwebkit \
        qtwebkit-examples-examples \
        qtwebkit-qmlplugins \
        qtgraphicaleffects-qmlplugins \
        qtconnectivity-qmlplugins \
        qtlocation-plugins \
        qtlocation-qmlplugins \
        cinematicexperience \
        cairo pango fontconfig freetype pulseaudio dbus \
        alsa-lib alsa-tools alsa-state alsa-utils-alsaconf fsl-alsa-plugins \
        i2c-tools \ 
        "
    
    I don't know where is the problem ? Perhaps there is a bug under ubuntu 14.04 LTS ! I tried with dora branch and master branch and same problem (i take the same branch for qt5). :|
     
  8. Riccardo Zamuner

    Riccardo Zamuner New Member

    Joined:
    May 7, 2015
    Messages:
    12
    Likes Received:
    0
    Hi all,
    I'm trying to build the ronga-image-qt5 but I received the following message after running "bitbake ronga-image-qt5":
    ERROR: Required build target 'ronga-image-qt5' has no buildable providers. Missing or unbuildable dependency chain was: ['ronga-image-qt5', 'qtbase']
    How can I solve it ?

    Thanks,
    Riccardo
     

Share This Page